Create bank connection
Creates a new bank connection for consumer consumer_id.
POST
/
consumers
/
{consumer_id}
/
banks
Create bank connection
curl --request POST \
--url https://api.example.com/consumers/{consumer_id}/banks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/consumers/{consumer_id}/banks"
payload = { "bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bank_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.example.com/consumers/{consumer_id}/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "Bad Request"
}{
"message": "Missing or invalid Authorization Header."
}{
"message": "You don’t have permission to access this resource."
}{
"message": "Resource Not Found"
}{
"message": "Conflict error"
}{
"message": "Internal Server Error"
}Authorizations
Enter your "Injector" API Key
See Authentication section for more information
Path Parameters
Unique ID of the consumer that you have registered when the user was onboarded.
Required string length:
2 - 100Body
application/json
Was this page helpful?
Previous
Get the bank connection detailsReturns all the information about bank connection `bank_external_id` for consumer `consumer_id`.
Next
⌘I
Create bank connection
